Update installed agent app
curl --request PUT \
--url 'https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token=' \
--header 'Content-Type: application/json' \
--data '
{
"app": {},
"reload": false
}
'import requests
url = "https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token="
payload = {
"app": {},
"reload": False
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({app: {}, reload: false})
};
fetch('https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app": {
"appId": "<string>",
"version": "<string>",
"title": "<string>",
"description": "<string>",
"installed": true,
"active": true,
"dependencies": {}
},
"success": true
}Apps
Update installed agent app
Updates an installed Vader app for the selected Computer Agent account. To change configuration, fetch the current app, edit its dependency values, and send that complete manifest as app. Set reload to true to replace its stored manifest with the current catalog manifest. Read the returned manifest and verify active before relying on its functions.
PUT
/
api
/
v2
/
apps
/
{appId}
/
{appVersion}
Update installed agent app
Authorizations
Vida API Token
Path Parameters
App identifier returned by GET /api/v2/apps.
Minimum string length:
1Exact app version returned by GET /api/v2/apps.
Minimum string length:
1Query Parameters
Computer Agent account whose app state should be used. Defaults to the API token account.
Body
application/json